//===========================================================================//
// File:	l4audres.cpp                                                        //
// Project: MUNGA           Brick: Audio Renderer Manager	                 //
// Contents: 																					  //
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
// --------  ---  ---------------------------------------------------------- //
// 05/10/95  ECH  Initial coding.                                            //
//---------------------------------------------------------------------------//
// Copyright (C) 1994, Virtual World Entertainment, Inc.                     //
// All Rights reserved worldwide                                             //
// This unpublished sourcecode is PROPRIETARY and CONFIDENTIAL               //
//===========================================================================//

#include <mungal4.hpp>
#pragma hdrstop

#if !defined(L4AUDRES_HPP)
#	include <l4audres.hpp>
#endif

#if !defined(L4TOOL_HPP)
#	include <l4tool.hpp>
#endif

#if !defined(L4AUDIO_HPP)
#	include <l4audio.hpp>
#endif

ResourceDescription::ResourceID
	L4Tool::CreateModelAudioStreamResource(
		ResourceFile *resource_file,
		const char *model_name,
		NotationFile *model_file,
		const ResourceDirectories *directories
	)
{
	return
		L4AudioResourceManager::CreateModelAudioStreamResource(
			resource_file,
			model_name,
			model_file,
			directories
		);
}

ResourceDescription::ResourceID
	L4Tool::CreateStaticAudioStreamResource(
		ResourceFile *resource_file
	)
{
	return
		L4AudioResourceManager::CreateStaticAudioStreamResource(
			resource_file
		);
}

//
//#############################################################################
//#############################################################################
//
void
	L4AudioCreateSymbols::WriteEntryStream(ofstream &symbol_file)
{
	AudioCreateSymbols::WriteEntryStream(symbol_file);

	#define WRITE_ENTRY(name)\
		{\
			Verify(symbol_file);\
			symbol_file << #name;\
			symbol_file << "=";\
			symbol_file << name;\
			symbol_file << "\n";\
		}

	WRITE_ENTRY(FrontDirectPatchPosition);
	WRITE_ENTRY(RearDirectPatchPosition);
	WRITE_ENTRY(FrontLeftDirectPatchPosition);
	WRITE_ENTRY(FrontRightDirectPatchPosition);
	WRITE_ENTRY(RearLeftDirectPatchPosition);
	WRITE_ENTRY(RearRightDirectPatchPosition);
}

